## org.apache.felix.obrplugin
Class ObrRemoteClean

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.felix.obrplugin.ObrRemoteClean

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public final class ObrRemoteClean

extends org.apache.maven.plugin.AbstractMojo

Clean a remote repository file. It just looks for every resources and check that pointed file exists.

Author:
  Felix Project Team

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`ObrRemoteClean()`

Method Summary
`void` `execute()`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObrRemoteClean

    public ObrRemoteClean()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

Copyright © 2011. All Rights Reserved.